<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQWLWLEditViewBase from './emeqwlwledit-view-base.vue';

import view_form from '@widgets/emeqwl/main3-form/main3-form.vue';

/**
 * 设备运行日志编辑视图
 *
 * @export
 * @class EMEQWLWLEditView
 * @extends {EMEQWLWLEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQWLWLEditView extends EMEQWLWLEditViewBase { }
</script>